%define upstream_name	 Text-Diff
%define upstream_version 1.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perform diffs on files and record sets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.cpan.org
Source0:    http://search.cpan.org/CPAN/authors/id/R/RB/RBS/%{upstream_name}-%{upstream_version}.tar.gz 

BuildRequires: perl(Algorithm::Diff) >= 1.190.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-Algorithm-Diff
BuildArch:  noarch

%description
%name provides a basic set of services akin to the GNU diff utility.
It is not anywhere near as feature complete as GNU diff, but it is 
better integrated with Perl and available on all platforms. 

It is often faster than shelling out to a system's diff
executable for small files, and generally slower on larger files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE META.yml README
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.410.0-2.mga3
+ Revision: 374018
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.410.0-1.mga1
+ Revision: 88576
- update to 1.41

* Thu Jan 13 2011 jquelin <jquelin> 1.370.0-1.mga1
+ Revision: 15339
- imported package perl-Text-Diff

